> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bayse.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# List sports leagues

> Get a list of all supported sports leagues

## Authentication

Public — no authentication required.

## Example request

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://relay.bayse.markets/v1/pm/sports/leagues"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    `https://relay.bayse.markets/v1/pm/sports/leagues`
  );
  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  resp = requests.get(
      'https://relay.bayse.markets/v1/pm/sports/leagues',
  )
  data = resp.json()
  ```

  ```go Go theme={null}
  req, _ := http.NewRequest("GET", "https://relay.bayse.markets/v1/pm/sports/leagues", nil)
  resp, _ := http.DefaultClient.Do(req)
  defer resp.Body.Close()
  var data interface{}
  json.NewDecoder(resp.Body).Decode(&data)
  ```
</CodeGroup>

## Response

<ResponseField name="leagues" type="array[object]" required>
  Array of supported sports leagues.

  <Expandable>
    <ResponseField name="name" type="string" required>
      Full league name (e.g., "England - Premier League").
    </ResponseField>

    <ResponseField name="shortName" type="string" required>
      Short display name (e.g., "EPL").
    </ResponseField>

    <ResponseField name="imageUrl" type="string" required>
      URL to the league logo image.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "leagues": [
      {
        "name": "England - Premier League",
        "key": "epl",
        "shortName": "EPL",
        "imageUrl": "https://assets.bayse.markets/event-images/leagues/epl.png"
      },
      {
        "name": "UEFA - Champions League",
        "key": "ucl",
        "shortName": "UCL",
        "imageUrl": "https://assets.bayse.markets/event-images/leagues/ucl.png"
      },
      {
        "name": "Spain - La Liga",
        "key": "laliga",
        "shortName": "La Liga",
        "imageUrl": "https://assets.bayse.markets/event-images/leagues/laliga.png"
      }
    ]
  }
  ```
</ResponseExample>
